AutoCAD Inventor :: Suppress Parts Within Subassemblies ILogic
Aug 29, 2013
I am trying to suppress part that are labeled as "Reference" on the BOM Strutcture and I can't get the program to cycle through the subassemblies. The following code runs through all the components on the top-level assembly but I can't get it to cycle through the subassemblies.
oCompDef = ThisDoc.Document.ComponentDefinitionoAssemblyComponents = oCompDef.OccurrencesDim oOccurrence As ComponentOccurrenceDim oSubOccurrence1 As ComponentOccurrenceFor Each oOccurrence In oAssemblyComponents If (oOccurrence.BOMStructure = BOMStructureEnum.kReferenceBOMStructure) Then Component.IsActive(oOccurrence.Name) = False Else Component.IsActive(oOccurrence.Name) = True End IfNext
View 9 Replies
ADVERTISEMENT
May 2, 2013
I have an assembly which is made with a sub assembly. The sub assembly has iLogic code that both resizes it's parts and suppresses parts that arn't needed after a change in length.
View 5 Replies
View Related
Aug 31, 2012
how to suppress a pattern in *.iam by ilogic?
I used ilogic to suppress the main components, but the rest are not suppressed.
For example, I have component "A" and make it a pattern (Colum and Row are variable). How to use ilogic to suppress rest not just "A".
Autodesk Inventor Professional 2013 (64 Bit) SP2
Windows 7 Professional Service Pack 1
Intel(R) Xeon(R) CPU E5645
12.0 GB Memory
View 3 Replies
View Related
Nov 19, 2013
Is there a way to put a bunch of imates under one line code?
I have imate iInsert:1 thru iInsert:49 I need them all suppressed when an event happens.
I can get it to work one by one but that would be a lot of code.
Tried a few other thing but seems not to work.
2012 Factory Design Suite ( will not load 2013)
View 9 Replies
View Related
Nov 2, 2012
I have an assembly consisting of both sub assemblies and individual parts.When I insert the bill, it is only showing me the parts and assy's needed to build the assembly.Is there a way to have it list the sub assemblies and then their lower level parts, with quantities?
View 2 Replies
View Related
Jul 10, 2012
Lets say you have 100 Keps Nuts in an assembly. Named (KepsNut1,KepsNut2, etc)And you want to suppress them on and off.
Would there be a way to make an array 1-100 and just say suppress/unsupress "KepsNut" & array list of numbers.To basically add the two strings and find all the components in that array and turn them off or on.!
View 9 Replies
View Related
Feb 22, 2013
How do you suppress a certain pattern occurence in Ilogic?
View 6 Replies
View Related
Jan 15, 2013
in addition to this question
[URL]......
What is the code for hiding different Solid Bodies:
with the User Parameter type, I want to select a certain type of Shackle and suppress / hide the other Solid Bodies.
View 1 Replies
View Related
Jul 20, 2012
I have a couple of dozen features in my part, of which only one will be active at any time. The feature tree may be subject to additions, so I am looking for an ilogic rule that will first suppress all of the features in the part, and then switch on the specific feature I require (using a parameter). Any code to suppress ALL features?
View 9 Replies
View Related
Sep 8, 2013
Is it possible to suppress an occurrence of a pattern in part environment using iLogic? I saw something for assembly environment, but I can't make it work for part. My iLogic knowledge is quite basic.
View 1 Replies
View Related
Oct 25, 2011
I'm using I-logic to suppress components in an assembly. I've attached a screenshot with 3 suppressed components.
In the browser the parts are suppressed but in the BOM (items 6,7,9) they are not. Is there a piece of code for this?
View 5 Replies
View Related
Aug 9, 2012
I'm trying to use ilogic to suppress some individual elements of a pattern but i couldn't find any command that can target component pattern elements. When i try to capture its current state with the right click menu it does nothing.
I can of course suppress the part within the element but then it doesn't update the BOM.
View 9 Replies
View Related
Jun 4, 2012
I need to suppress a pattern in an 2nd level subassembly. But is only able to do it in the same level where the pattern is placed etc:
If Length < 3000 mm Then
Component.IsActive("1 st level subassembly", "Name of pattern in 1nd level subassembly") = False
End If
But if i do it with an MakePath... etc.:
If Length < 3000 mm Then
Component.IsActive(MakePath("1 st level subassembly", "2 nd level subassembly", "Name of pattern in 2nd level subassembly")) = False
End If
If Length < 3000 mm Then
Component.IsActive(MakePath("1 st level subassembly", "2 nd level subassembly"), "Name of pattern in 2nd level subassembly") = False
End If
is it not possible to suppress a pattern by an MakePath?
View 9 Replies
View Related
Dec 8, 2011
I have set iLogic to change a rectangular pattern to a certain amount of occurrences depending on which is selected , i.e. 117 cavities, 140 cavities and 96 cavities. Only one is active (or unsuppressed ) at a time.
What I need to do is suppress the 4 corners of each pattern, considering there's only one pattern and is dynamic.
View 2 Replies
View Related
Dec 4, 2007
I am having some trouble with this quick VBA app, I want a utility that can traverse all the parts in a top level assembly and suppress the link to each derived part (multiple) in all the parts in the assembly.
I have played with the following
Public Sub SuppressLink()
Dim partdoc As PartDocument
Set partdoc = ThisApplication.ActiveDocument
partdoc.ComponentDefinition.ReferenceComponents.DerivedPartComponents.Item(1).SuppressLinkToFile = True
End Sub
Which works, but only on one part file, and only on the first derived part. Is there any easy way to make this work on ALL the dervived links and every single part inside an assembly?
View 9 Replies
View Related
Aug 14, 2012
We are just starting with Civil 3D 2012. We are doing a pilot project, and the engineer wanted to make a custom curb subassembly matching the exact dimensions (angle from bottom of curb to top of curb) as the county detail. I didn't think that was necessary and thought we could use one of the generic subassemblies. usually use the basic or generic subassemblies or do you create your own to match specific municipalities' details exactly?
Do you find that the parts that come with Civil 3D are usually sufficient for design or do you make a lot of custom parts?
View 6 Replies
View Related
Jan 11, 2012
i placed an ilogic component (wich i use as a template to later change dimentions) into an assembly file after changing dimentions i placed the same "template" ilogic component into the assembly but when i want to change something on the second component it also changes the first one and that only happens with only one feature of the component the other features work fine.
View 2 Replies
View Related
Apr 4, 2013
I have numerous step files which I have imported into an assembly. I now need to move all the imported files to a predefined UCS (not 0,0,0). I can do this manually by using the assemble command and selecting the centre point then selecting the centre point of the pre-defined UCS.
I have potentially thousands of parts to move in various assemblies, is there a way to do this using iLogic and if so, how?
View 2 Replies
View Related
Oct 4, 2012
I curently have a rule that generates a part list automatically in a drawing. the problem is that I want the rule to be continuisly running but it keeps generating 2,3,5... parts lists. I need an if statment to check if a parts list already exists.
iLogicVb.UpdateWhenDone = True On Error Resume Next ' Set a reference to the drawing document. ' This assumes a drawing document is active. Dim oDrawDoc As DrawingDocument oDrawDoc = ThisApplication.ActiveDocument 'Set a reference to the
[Code].....
View 2 Replies
View Related
May 4, 2012
If I draw a flat square, and then a flat circle next to it, can I do things using iLogic that will make the two seperate parts interact? such as say 'if the circle contacts the square, then make the square become a circle too' or something like that?
View 3 Replies
View Related
Jun 19, 2013
im trying to programatically add a parts list into a drawing whilst programatically creating the drawing - the code works fine without the parts list code. The error its showing is 'Parameter incorect' on the line that sais PartsList.add(... In the past when ive got this error with other code it has been because ive used an incorrect parameter (e.g. decimal instead of an integer).
My error is somewhere inside the oPartsList.add(>>ERROR SOMEWHERE HERE<<<)
oDrawDoc = InvApp.Documents.Add(Inventor.DocumentTypeEnum.kDrawingDocumentObject,AssyTemplate,True)
oSheet = oDrawDoc.Sheets.Item(1)
[Code].....
View 1 Replies
View Related
Nov 14, 2011
Is it possible to replace sub assemblies using ilogic - I can only see a link to replace parts?
View 1 Replies
View Related
Nov 18, 2010
I need to generate an iLogic rule exporting Parts List (not BOM) from a IDW to a specific folder in XLS format.
Using Autodesk AutoCAD Inventor 2011
View 9 Replies
View Related
Dec 7, 2011
I need to use/write a iLogic code. I have a assy, in this assy i have parameter Height and Width. And it´s no problem to controlls this two rules/value.
But I have a problem with the rule when my height will control the number of parts
If my height is 500-1000, one part.
If my height is 1000-1500, two parts.
If my height is 1500-2000, three parts.
Is it best to use suppress or use a pattern in this case?
View 1 Replies
View Related
Jan 9, 2014
I would like to count all my parts in the main assembly and assign that amount to each part.
Example: Main assembly has: 10 Parts A and 5 Parts B. I would like to run a rule that "sends" that "10" to Part A.ipt and the "5" to Part B.ipt
I would like to assign it to iProperties.Status.Status. I start to understand iLogic more and more but it is nice to get a little boost in the right direction.
View 4 Replies
View Related
Oct 6, 2011
I Created an iLogic Rule that sets up some parameters.
I want to Automatically opens each and every Part in my assembly, run this Rule, and then save it without me having to do so manually.
View 8 Replies
View Related
Mar 12, 2013
I am looking for a rule that will search assembly down all levels and find .ipts with the material of plywood and when found change all plywoods to color Clear - Light.
View 9 Replies
View Related
Jul 11, 2013
I want to measure the minimum distance between 2 parts. But I want Ilogic to know what parts to measure according to what i've selected.
I have something like this but its not working... gives me always this error "
Measure.MinimumDistance: No entity named "System.__ComObject" was found."
Dim oOccurrence As ComponentOccurrenceDim oOccurrence2 As ComponentOccurrenceTry oOccurrence = ThisDoc.Document.SelectSet.Item(1)oOccurrence2 = ThisDoc.Document.SelectSet.Item(2)Catch MessageBox.Show("Please select a component before running this rule.", "iLogic") ReturnEnd Try Dim doc As DocumentDim CurFileName As String oOccurrence = ThisApplication.ActiveDocument.SelectSet.Item(1) oOccurrence2 = ThisApplication.ActiveDocument.SelectSet.Item(2) distance = Measure.MinimumDistance(oOccurrence,oOccurrence2)MsgBox(distance)
View 1 Replies
View Related
Nov 7, 2011
I have got some ilogic code that i have patched together to sort my parts list in inventor which works great but it will not update all sheets at the same time as when we design we have multiple sheets with parts list on and the odd one without.
add to this code to update all sheets partlists and also recognise that some sheets will not have partslists on so this will need to skip.
below is code that is used to sort
Format:HTML Format Version:1.0 StartHTML: 165 EndHTML: 4558 StartFragment: 314 EndFragment: 4526 StartSelection: 314 EndSelection: 314
SyntaxEditor Code Snippet
Format:HTML Format Version:1.0 StartHTML: 165 EndHTML: 4558 StartFragment: 314 EndFragment: 4526 StartSelection: 314 EndSelection: 314
[Code] ...........
View 4 Replies
View Related
Aug 19, 2013
I have a part file XXXXYYYY.ipt and I would like an ilogic code that searches if my file name contains "XXXXYYYY" to replace the X's and Y's with 1244SIMS and moves that file to a specified folder. Is there any code out there that will allow me to do this?
View 5 Replies
View Related
Jun 25, 2013
Is it possible with iLogic code to set a parameter in a bunch of parts equal to another paramter?
I want some iLogic code that will go into my pipe parts and make the PL param = D2.
View 1 Replies
View Related